Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		pkg-config
Version:	0.25
Release:	2
Provides:	pkgconfig
License:	GNU/GPL 
URL:		http://pkg-config.freedesktop.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
# don't call out to glib-config, since our glib-config is a pkg-config wrapper
Patch1:  pkg-config-0.21-compat-loop.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=16095
Patch2: pkg-config-lib64-excludes.patch
# workaround for breakage with autoconf 2.66
# https://bugzilla.redhat.com/show_bug.cgi?id=611781
Patch3: pkg-config-dnl.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	pkg-config is a system for managing library.

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
pkg-config is a system for managing library compile/link flags that works with automake and autoconf.
It replaces the ubiquitous *-config scripts you may have seen with a single tool.
For more details see: http://pkg-config.freedesktop.org

%prep
%setup -qn %{name}-%{version}

%patch1 -p1 -b .compat-loop
%patch2 -p0 -b .lib64
%patch3 -p1 -R -b .dnl


%build
%configure \
--disable-dependency-tracking
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pkg-config
%{_aclocal}/pkg.m4
%{_docdir}/pkg-config/pkg-config-guide.html
%{_mandir}/man1/pkg-config.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.25-2
- added workaround patch for automake 2.66
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.25-1
- Version update
* Wed Apr 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.23-1
- Version update
* Thu Dec 21 2006 Christian Metzen <metzench@ccux-linux.de> 0.21-2
- added provide, removed scriplets - not neccessary here
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.21-1
- version update
* Sun Nov 06 2005 Christian Wasem <wasem@ccux-linux.de> 0.20-2
- removed wrong Obsoletes-Tag
* Sat Nov 05 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.20-1
- Update to Version 0.20
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.19-1
- Update to Version 0.19
* Wed Jun 29 2005 Christian Wasem <wasem@ccux-linux.de> 0.18-1
- update to Version 0.18
* Wed Apr 20 2005 Christian Wasem <wasem@ccux-linux.de> 0.17.2-1
- update to Version 0.17.2
